/*******************************************************************************
* File Name: P00.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P00_H) /* Pins P00_H */
#define CY_PINS_P00_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P00_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P00_Write(uint8 value) ;
void    P00_SetDriveMode(uint8 mode) ;
uint8   P00_ReadDataReg(void) ;
uint8   P00_Read(void) ;
uint8   P00_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P00_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P00_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P00_DM_RES_UP          PIN_DM_RES_UP
#define P00_DM_RES_DWN         PIN_DM_RES_DWN
#define P00_DM_OD_LO           PIN_DM_OD_LO
#define P00_DM_OD_HI           PIN_DM_OD_HI
#define P00_DM_STRONG          PIN_DM_STRONG
#define P00_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P00_MASK               P00__MASK
#define P00_SHIFT              P00__SHIFT
#define P00_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P00_PS                     (* (reg8 *) P00__PS)
/* Data Register */
#define P00_DR                     (* (reg8 *) P00__DR)
/* Port Number */
#define P00_PRT_NUM                (* (reg8 *) P00__PRT) 
/* Connect to Analog Globals */                                                  
#define P00_AG                     (* (reg8 *) P00__AG)                       
/* Analog MUX bux enable */
#define P00_AMUX                   (* (reg8 *) P00__AMUX) 
/* Bidirectional Enable */                                                        
#define P00_BIE                    (* (reg8 *) P00__BIE)
/* Bit-mask for Aliased Register Access */
#define P00_BIT_MASK               (* (reg8 *) P00__BIT_MASK)
/* Bypass Enable */
#define P00_BYP                    (* (reg8 *) P00__BYP)
/* Port wide control signals */                                                   
#define P00_CTL                    (* (reg8 *) P00__CTL)
/* Drive Modes */
#define P00_DM0                    (* (reg8 *) P00__DM0) 
#define P00_DM1                    (* (reg8 *) P00__DM1)
#define P00_DM2                    (* (reg8 *) P00__DM2) 
/* Input Buffer Disable Override */
#define P00_INP_DIS                (* (reg8 *) P00__INP_DIS)
/* LCD Common or Segment Drive */
#define P00_LCD_COM_SEG            (* (reg8 *) P00__LCD_COM_SEG)
/* Enable Segment LCD */
#define P00_LCD_EN                 (* (reg8 *) P00__LCD_EN)
/* Slew Rate Control */
#define P00_SLW                    (* (reg8 *) P00__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P00_PRTDSI__CAPS_SEL       (* (reg8 *) P00__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P00_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P00__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P00_PRTDSI__OE_SEL0        (* (reg8 *) P00__PRTDSI__OE_SEL0) 
#define P00_PRTDSI__OE_SEL1        (* (reg8 *) P00__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P00_PRTDSI__OUT_SEL0       (* (reg8 *) P00__PRTDSI__OUT_SEL0) 
#define P00_PRTDSI__OUT_SEL1       (* (reg8 *) P00__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P00_PRTDSI__SYNC_OUT       (* (reg8 *) P00__PRTDSI__SYNC_OUT) 


#if defined(P00__INTSTAT)  /* Interrupt Registers */

    #define P00_INTSTAT                (* (reg8 *) P00__INTSTAT)
    #define P00_SNAP                   (* (reg8 *) P00__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P00_H */


/* [] END OF FILE */
