/*******************************************************************************
* File Name: P01.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P01_H) /* Pins P01_H */
#define CY_PINS_P01_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P01_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P01_Write(uint8 value) ;
void    P01_SetDriveMode(uint8 mode) ;
uint8   P01_ReadDataReg(void) ;
uint8   P01_Read(void) ;
uint8   P01_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P01_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P01_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P01_DM_RES_UP          PIN_DM_RES_UP
#define P01_DM_RES_DWN         PIN_DM_RES_DWN
#define P01_DM_OD_LO           PIN_DM_OD_LO
#define P01_DM_OD_HI           PIN_DM_OD_HI
#define P01_DM_STRONG          PIN_DM_STRONG
#define P01_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P01_MASK               P01__MASK
#define P01_SHIFT              P01__SHIFT
#define P01_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P01_PS                     (* (reg8 *) P01__PS)
/* Data Register */
#define P01_DR                     (* (reg8 *) P01__DR)
/* Port Number */
#define P01_PRT_NUM                (* (reg8 *) P01__PRT) 
/* Connect to Analog Globals */                                                  
#define P01_AG                     (* (reg8 *) P01__AG)                       
/* Analog MUX bux enable */
#define P01_AMUX                   (* (reg8 *) P01__AMUX) 
/* Bidirectional Enable */                                                        
#define P01_BIE                    (* (reg8 *) P01__BIE)
/* Bit-mask for Aliased Register Access */
#define P01_BIT_MASK               (* (reg8 *) P01__BIT_MASK)
/* Bypass Enable */
#define P01_BYP                    (* (reg8 *) P01__BYP)
/* Port wide control signals */                                                   
#define P01_CTL                    (* (reg8 *) P01__CTL)
/* Drive Modes */
#define P01_DM0                    (* (reg8 *) P01__DM0) 
#define P01_DM1                    (* (reg8 *) P01__DM1)
#define P01_DM2                    (* (reg8 *) P01__DM2) 
/* Input Buffer Disable Override */
#define P01_INP_DIS                (* (reg8 *) P01__INP_DIS)
/* LCD Common or Segment Drive */
#define P01_LCD_COM_SEG            (* (reg8 *) P01__LCD_COM_SEG)
/* Enable Segment LCD */
#define P01_LCD_EN                 (* (reg8 *) P01__LCD_EN)
/* Slew Rate Control */
#define P01_SLW                    (* (reg8 *) P01__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P01_PRTDSI__CAPS_SEL       (* (reg8 *) P01__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P01_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P01__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P01_PRTDSI__OE_SEL0        (* (reg8 *) P01__PRTDSI__OE_SEL0) 
#define P01_PRTDSI__OE_SEL1        (* (reg8 *) P01__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P01_PRTDSI__OUT_SEL0       (* (reg8 *) P01__PRTDSI__OUT_SEL0) 
#define P01_PRTDSI__OUT_SEL1       (* (reg8 *) P01__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P01_PRTDSI__SYNC_OUT       (* (reg8 *) P01__PRTDSI__SYNC_OUT) 


#if defined(P01__INTSTAT)  /* Interrupt Registers */

    #define P01_INTSTAT                (* (reg8 *) P01__INTSTAT)
    #define P01_SNAP                   (* (reg8 *) P01__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P01_H */


/* [] END OF FILE */
