/*******************************************************************************
* File Name: P02.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P02_H) /* Pins P02_H */
#define CY_PINS_P02_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P02_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P02_Write(uint8 value) ;
void    P02_SetDriveMode(uint8 mode) ;
uint8   P02_ReadDataReg(void) ;
uint8   P02_Read(void) ;
uint8   P02_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P02_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P02_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P02_DM_RES_UP          PIN_DM_RES_UP
#define P02_DM_RES_DWN         PIN_DM_RES_DWN
#define P02_DM_OD_LO           PIN_DM_OD_LO
#define P02_DM_OD_HI           PIN_DM_OD_HI
#define P02_DM_STRONG          PIN_DM_STRONG
#define P02_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P02_MASK               P02__MASK
#define P02_SHIFT              P02__SHIFT
#define P02_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P02_PS                     (* (reg8 *) P02__PS)
/* Data Register */
#define P02_DR                     (* (reg8 *) P02__DR)
/* Port Number */
#define P02_PRT_NUM                (* (reg8 *) P02__PRT) 
/* Connect to Analog Globals */                                                  
#define P02_AG                     (* (reg8 *) P02__AG)                       
/* Analog MUX bux enable */
#define P02_AMUX                   (* (reg8 *) P02__AMUX) 
/* Bidirectional Enable */                                                        
#define P02_BIE                    (* (reg8 *) P02__BIE)
/* Bit-mask for Aliased Register Access */
#define P02_BIT_MASK               (* (reg8 *) P02__BIT_MASK)
/* Bypass Enable */
#define P02_BYP                    (* (reg8 *) P02__BYP)
/* Port wide control signals */                                                   
#define P02_CTL                    (* (reg8 *) P02__CTL)
/* Drive Modes */
#define P02_DM0                    (* (reg8 *) P02__DM0) 
#define P02_DM1                    (* (reg8 *) P02__DM1)
#define P02_DM2                    (* (reg8 *) P02__DM2) 
/* Input Buffer Disable Override */
#define P02_INP_DIS                (* (reg8 *) P02__INP_DIS)
/* LCD Common or Segment Drive */
#define P02_LCD_COM_SEG            (* (reg8 *) P02__LCD_COM_SEG)
/* Enable Segment LCD */
#define P02_LCD_EN                 (* (reg8 *) P02__LCD_EN)
/* Slew Rate Control */
#define P02_SLW                    (* (reg8 *) P02__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P02_PRTDSI__CAPS_SEL       (* (reg8 *) P02__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P02_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P02__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P02_PRTDSI__OE_SEL0        (* (reg8 *) P02__PRTDSI__OE_SEL0) 
#define P02_PRTDSI__OE_SEL1        (* (reg8 *) P02__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P02_PRTDSI__OUT_SEL0       (* (reg8 *) P02__PRTDSI__OUT_SEL0) 
#define P02_PRTDSI__OUT_SEL1       (* (reg8 *) P02__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P02_PRTDSI__SYNC_OUT       (* (reg8 *) P02__PRTDSI__SYNC_OUT) 


#if defined(P02__INTSTAT)  /* Interrupt Registers */

    #define P02_INTSTAT                (* (reg8 *) P02__INTSTAT)
    #define P02_SNAP                   (* (reg8 *) P02__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P02_H */


/* [] END OF FILE */
