/*******************************************************************************
* File Name: P20.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P20_H) /* Pins P20_H */
#define CY_PINS_P20_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P20_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P20_Write(uint8 value) ;
void    P20_SetDriveMode(uint8 mode) ;
uint8   P20_ReadDataReg(void) ;
uint8   P20_Read(void) ;
uint8   P20_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P20_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P20_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P20_DM_RES_UP          PIN_DM_RES_UP
#define P20_DM_RES_DWN         PIN_DM_RES_DWN
#define P20_DM_OD_LO           PIN_DM_OD_LO
#define P20_DM_OD_HI           PIN_DM_OD_HI
#define P20_DM_STRONG          PIN_DM_STRONG
#define P20_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P20_MASK               P20__MASK
#define P20_SHIFT              P20__SHIFT
#define P20_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P20_PS                     (* (reg8 *) P20__PS)
/* Data Register */
#define P20_DR                     (* (reg8 *) P20__DR)
/* Port Number */
#define P20_PRT_NUM                (* (reg8 *) P20__PRT) 
/* Connect to Analog Globals */                                                  
#define P20_AG                     (* (reg8 *) P20__AG)                       
/* Analog MUX bux enable */
#define P20_AMUX                   (* (reg8 *) P20__AMUX) 
/* Bidirectional Enable */                                                        
#define P20_BIE                    (* (reg8 *) P20__BIE)
/* Bit-mask for Aliased Register Access */
#define P20_BIT_MASK               (* (reg8 *) P20__BIT_MASK)
/* Bypass Enable */
#define P20_BYP                    (* (reg8 *) P20__BYP)
/* Port wide control signals */                                                   
#define P20_CTL                    (* (reg8 *) P20__CTL)
/* Drive Modes */
#define P20_DM0                    (* (reg8 *) P20__DM0) 
#define P20_DM1                    (* (reg8 *) P20__DM1)
#define P20_DM2                    (* (reg8 *) P20__DM2) 
/* Input Buffer Disable Override */
#define P20_INP_DIS                (* (reg8 *) P20__INP_DIS)
/* LCD Common or Segment Drive */
#define P20_LCD_COM_SEG            (* (reg8 *) P20__LCD_COM_SEG)
/* Enable Segment LCD */
#define P20_LCD_EN                 (* (reg8 *) P20__LCD_EN)
/* Slew Rate Control */
#define P20_SLW                    (* (reg8 *) P20__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P20_PRTDSI__CAPS_SEL       (* (reg8 *) P20__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P20_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P20__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P20_PRTDSI__OE_SEL0        (* (reg8 *) P20__PRTDSI__OE_SEL0) 
#define P20_PRTDSI__OE_SEL1        (* (reg8 *) P20__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P20_PRTDSI__OUT_SEL0       (* (reg8 *) P20__PRTDSI__OUT_SEL0) 
#define P20_PRTDSI__OUT_SEL1       (* (reg8 *) P20__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P20_PRTDSI__SYNC_OUT       (* (reg8 *) P20__PRTDSI__SYNC_OUT) 


#if defined(P20__INTSTAT)  /* Interrupt Registers */

    #define P20_INTSTAT                (* (reg8 *) P20__INTSTAT)
    #define P20_SNAP                   (* (reg8 *) P20__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P20_H */


/* [] END OF FILE */
