/*******************************************************************************
* File Name: P26.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P26_H) /* Pins P26_H */
#define CY_PINS_P26_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P26_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P26_Write(uint8 value) ;
void    P26_SetDriveMode(uint8 mode) ;
uint8   P26_ReadDataReg(void) ;
uint8   P26_Read(void) ;
uint8   P26_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P26_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P26_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P26_DM_RES_UP          PIN_DM_RES_UP
#define P26_DM_RES_DWN         PIN_DM_RES_DWN
#define P26_DM_OD_LO           PIN_DM_OD_LO
#define P26_DM_OD_HI           PIN_DM_OD_HI
#define P26_DM_STRONG          PIN_DM_STRONG
#define P26_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P26_MASK               P26__MASK
#define P26_SHIFT              P26__SHIFT
#define P26_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P26_PS                     (* (reg8 *) P26__PS)
/* Data Register */
#define P26_DR                     (* (reg8 *) P26__DR)
/* Port Number */
#define P26_PRT_NUM                (* (reg8 *) P26__PRT) 
/* Connect to Analog Globals */                                                  
#define P26_AG                     (* (reg8 *) P26__AG)                       
/* Analog MUX bux enable */
#define P26_AMUX                   (* (reg8 *) P26__AMUX) 
/* Bidirectional Enable */                                                        
#define P26_BIE                    (* (reg8 *) P26__BIE)
/* Bit-mask for Aliased Register Access */
#define P26_BIT_MASK               (* (reg8 *) P26__BIT_MASK)
/* Bypass Enable */
#define P26_BYP                    (* (reg8 *) P26__BYP)
/* Port wide control signals */                                                   
#define P26_CTL                    (* (reg8 *) P26__CTL)
/* Drive Modes */
#define P26_DM0                    (* (reg8 *) P26__DM0) 
#define P26_DM1                    (* (reg8 *) P26__DM1)
#define P26_DM2                    (* (reg8 *) P26__DM2) 
/* Input Buffer Disable Override */
#define P26_INP_DIS                (* (reg8 *) P26__INP_DIS)
/* LCD Common or Segment Drive */
#define P26_LCD_COM_SEG            (* (reg8 *) P26__LCD_COM_SEG)
/* Enable Segment LCD */
#define P26_LCD_EN                 (* (reg8 *) P26__LCD_EN)
/* Slew Rate Control */
#define P26_SLW                    (* (reg8 *) P26__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P26_PRTDSI__CAPS_SEL       (* (reg8 *) P26__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P26_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P26__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P26_PRTDSI__OE_SEL0        (* (reg8 *) P26__PRTDSI__OE_SEL0) 
#define P26_PRTDSI__OE_SEL1        (* (reg8 *) P26__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P26_PRTDSI__OUT_SEL0       (* (reg8 *) P26__PRTDSI__OUT_SEL0) 
#define P26_PRTDSI__OUT_SEL1       (* (reg8 *) P26__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P26_PRTDSI__SYNC_OUT       (* (reg8 *) P26__PRTDSI__SYNC_OUT) 


#if defined(P26__INTSTAT)  /* Interrupt Registers */

    #define P26_INTSTAT                (* (reg8 *) P26__INTSTAT)
    #define P26_SNAP                   (* (reg8 *) P26__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P26_H */


/* [] END OF FILE */
