/*******************************************************************************
* File Name: P27.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P27_H) /* Pins P27_H */
#define CY_PINS_P27_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P27_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P27_Write(uint8 value) ;
void    P27_SetDriveMode(uint8 mode) ;
uint8   P27_ReadDataReg(void) ;
uint8   P27_Read(void) ;
uint8   P27_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P27_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P27_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P27_DM_RES_UP          PIN_DM_RES_UP
#define P27_DM_RES_DWN         PIN_DM_RES_DWN
#define P27_DM_OD_LO           PIN_DM_OD_LO
#define P27_DM_OD_HI           PIN_DM_OD_HI
#define P27_DM_STRONG          PIN_DM_STRONG
#define P27_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P27_MASK               P27__MASK
#define P27_SHIFT              P27__SHIFT
#define P27_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P27_PS                     (* (reg8 *) P27__PS)
/* Data Register */
#define P27_DR                     (* (reg8 *) P27__DR)
/* Port Number */
#define P27_PRT_NUM                (* (reg8 *) P27__PRT) 
/* Connect to Analog Globals */                                                  
#define P27_AG                     (* (reg8 *) P27__AG)                       
/* Analog MUX bux enable */
#define P27_AMUX                   (* (reg8 *) P27__AMUX) 
/* Bidirectional Enable */                                                        
#define P27_BIE                    (* (reg8 *) P27__BIE)
/* Bit-mask for Aliased Register Access */
#define P27_BIT_MASK               (* (reg8 *) P27__BIT_MASK)
/* Bypass Enable */
#define P27_BYP                    (* (reg8 *) P27__BYP)
/* Port wide control signals */                                                   
#define P27_CTL                    (* (reg8 *) P27__CTL)
/* Drive Modes */
#define P27_DM0                    (* (reg8 *) P27__DM0) 
#define P27_DM1                    (* (reg8 *) P27__DM1)
#define P27_DM2                    (* (reg8 *) P27__DM2) 
/* Input Buffer Disable Override */
#define P27_INP_DIS                (* (reg8 *) P27__INP_DIS)
/* LCD Common or Segment Drive */
#define P27_LCD_COM_SEG            (* (reg8 *) P27__LCD_COM_SEG)
/* Enable Segment LCD */
#define P27_LCD_EN                 (* (reg8 *) P27__LCD_EN)
/* Slew Rate Control */
#define P27_SLW                    (* (reg8 *) P27__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P27_PRTDSI__CAPS_SEL       (* (reg8 *) P27__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P27_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P27__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P27_PRTDSI__OE_SEL0        (* (reg8 *) P27__PRTDSI__OE_SEL0) 
#define P27_PRTDSI__OE_SEL1        (* (reg8 *) P27__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P27_PRTDSI__OUT_SEL0       (* (reg8 *) P27__PRTDSI__OUT_SEL0) 
#define P27_PRTDSI__OUT_SEL1       (* (reg8 *) P27__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P27_PRTDSI__SYNC_OUT       (* (reg8 *) P27__PRTDSI__SYNC_OUT) 


#if defined(P27__INTSTAT)  /* Interrupt Registers */

    #define P27_INTSTAT                (* (reg8 *) P27__INTSTAT)
    #define P27_SNAP                   (* (reg8 *) P27__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P27_H */


/* [] END OF FILE */
