/*******************************************************************************
* File Name: P42.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P42_H) /* Pins P42_H */
#define CY_PINS_P42_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P42_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P42_Write(uint8 value) ;
void    P42_SetDriveMode(uint8 mode) ;
uint8   P42_ReadDataReg(void) ;
uint8   P42_Read(void) ;
uint8   P42_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P42_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P42_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P42_DM_RES_UP          PIN_DM_RES_UP
#define P42_DM_RES_DWN         PIN_DM_RES_DWN
#define P42_DM_OD_LO           PIN_DM_OD_LO
#define P42_DM_OD_HI           PIN_DM_OD_HI
#define P42_DM_STRONG          PIN_DM_STRONG
#define P42_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P42_MASK               P42__MASK
#define P42_SHIFT              P42__SHIFT
#define P42_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P42_PS                     (* (reg8 *) P42__PS)
/* Data Register */
#define P42_DR                     (* (reg8 *) P42__DR)
/* Port Number */
#define P42_PRT_NUM                (* (reg8 *) P42__PRT) 
/* Connect to Analog Globals */                                                  
#define P42_AG                     (* (reg8 *) P42__AG)                       
/* Analog MUX bux enable */
#define P42_AMUX                   (* (reg8 *) P42__AMUX) 
/* Bidirectional Enable */                                                        
#define P42_BIE                    (* (reg8 *) P42__BIE)
/* Bit-mask for Aliased Register Access */
#define P42_BIT_MASK               (* (reg8 *) P42__BIT_MASK)
/* Bypass Enable */
#define P42_BYP                    (* (reg8 *) P42__BYP)
/* Port wide control signals */                                                   
#define P42_CTL                    (* (reg8 *) P42__CTL)
/* Drive Modes */
#define P42_DM0                    (* (reg8 *) P42__DM0) 
#define P42_DM1                    (* (reg8 *) P42__DM1)
#define P42_DM2                    (* (reg8 *) P42__DM2) 
/* Input Buffer Disable Override */
#define P42_INP_DIS                (* (reg8 *) P42__INP_DIS)
/* LCD Common or Segment Drive */
#define P42_LCD_COM_SEG            (* (reg8 *) P42__LCD_COM_SEG)
/* Enable Segment LCD */
#define P42_LCD_EN                 (* (reg8 *) P42__LCD_EN)
/* Slew Rate Control */
#define P42_SLW                    (* (reg8 *) P42__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P42_PRTDSI__CAPS_SEL       (* (reg8 *) P42__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P42_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P42__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P42_PRTDSI__OE_SEL0        (* (reg8 *) P42__PRTDSI__OE_SEL0) 
#define P42_PRTDSI__OE_SEL1        (* (reg8 *) P42__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P42_PRTDSI__OUT_SEL0       (* (reg8 *) P42__PRTDSI__OUT_SEL0) 
#define P42_PRTDSI__OUT_SEL1       (* (reg8 *) P42__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P42_PRTDSI__SYNC_OUT       (* (reg8 *) P42__PRTDSI__SYNC_OUT) 


#if defined(P42__INTSTAT)  /* Interrupt Registers */

    #define P42_INTSTAT                (* (reg8 *) P42__INTSTAT)
    #define P42_SNAP                   (* (reg8 *) P42__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P42_H */


/* [] END OF FILE */
