/*******************************************************************************
* File Name: P43.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P43_H) /* Pins P43_H */
#define CY_PINS_P43_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P43_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P43_Write(uint8 value) ;
void    P43_SetDriveMode(uint8 mode) ;
uint8   P43_ReadDataReg(void) ;
uint8   P43_Read(void) ;
uint8   P43_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P43_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P43_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P43_DM_RES_UP          PIN_DM_RES_UP
#define P43_DM_RES_DWN         PIN_DM_RES_DWN
#define P43_DM_OD_LO           PIN_DM_OD_LO
#define P43_DM_OD_HI           PIN_DM_OD_HI
#define P43_DM_STRONG          PIN_DM_STRONG
#define P43_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P43_MASK               P43__MASK
#define P43_SHIFT              P43__SHIFT
#define P43_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P43_PS                     (* (reg8 *) P43__PS)
/* Data Register */
#define P43_DR                     (* (reg8 *) P43__DR)
/* Port Number */
#define P43_PRT_NUM                (* (reg8 *) P43__PRT) 
/* Connect to Analog Globals */                                                  
#define P43_AG                     (* (reg8 *) P43__AG)                       
/* Analog MUX bux enable */
#define P43_AMUX                   (* (reg8 *) P43__AMUX) 
/* Bidirectional Enable */                                                        
#define P43_BIE                    (* (reg8 *) P43__BIE)
/* Bit-mask for Aliased Register Access */
#define P43_BIT_MASK               (* (reg8 *) P43__BIT_MASK)
/* Bypass Enable */
#define P43_BYP                    (* (reg8 *) P43__BYP)
/* Port wide control signals */                                                   
#define P43_CTL                    (* (reg8 *) P43__CTL)
/* Drive Modes */
#define P43_DM0                    (* (reg8 *) P43__DM0) 
#define P43_DM1                    (* (reg8 *) P43__DM1)
#define P43_DM2                    (* (reg8 *) P43__DM2) 
/* Input Buffer Disable Override */
#define P43_INP_DIS                (* (reg8 *) P43__INP_DIS)
/* LCD Common or Segment Drive */
#define P43_LCD_COM_SEG            (* (reg8 *) P43__LCD_COM_SEG)
/* Enable Segment LCD */
#define P43_LCD_EN                 (* (reg8 *) P43__LCD_EN)
/* Slew Rate Control */
#define P43_SLW                    (* (reg8 *) P43__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P43_PRTDSI__CAPS_SEL       (* (reg8 *) P43__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P43_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P43__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P43_PRTDSI__OE_SEL0        (* (reg8 *) P43__PRTDSI__OE_SEL0) 
#define P43_PRTDSI__OE_SEL1        (* (reg8 *) P43__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P43_PRTDSI__OUT_SEL0       (* (reg8 *) P43__PRTDSI__OUT_SEL0) 
#define P43_PRTDSI__OUT_SEL1       (* (reg8 *) P43__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P43_PRTDSI__SYNC_OUT       (* (reg8 *) P43__PRTDSI__SYNC_OUT) 


#if defined(P43__INTSTAT)  /* Interrupt Registers */

    #define P43_INTSTAT                (* (reg8 *) P43__INTSTAT)
    #define P43_SNAP                   (* (reg8 *) P43__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P43_H */


/* [] END OF FILE */
