/*******************************************************************************
* File Name: P60.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P60_H) /* Pins P60_H */
#define CY_PINS_P60_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P60_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P60_Write(uint8 value) ;
void    P60_SetDriveMode(uint8 mode) ;
uint8   P60_ReadDataReg(void) ;
uint8   P60_Read(void) ;
uint8   P60_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P60_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P60_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P60_DM_RES_UP          PIN_DM_RES_UP
#define P60_DM_RES_DWN         PIN_DM_RES_DWN
#define P60_DM_OD_LO           PIN_DM_OD_LO
#define P60_DM_OD_HI           PIN_DM_OD_HI
#define P60_DM_STRONG          PIN_DM_STRONG
#define P60_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P60_MASK               P60__MASK
#define P60_SHIFT              P60__SHIFT
#define P60_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P60_PS                     (* (reg8 *) P60__PS)
/* Data Register */
#define P60_DR                     (* (reg8 *) P60__DR)
/* Port Number */
#define P60_PRT_NUM                (* (reg8 *) P60__PRT) 
/* Connect to Analog Globals */                                                  
#define P60_AG                     (* (reg8 *) P60__AG)                       
/* Analog MUX bux enable */
#define P60_AMUX                   (* (reg8 *) P60__AMUX) 
/* Bidirectional Enable */                                                        
#define P60_BIE                    (* (reg8 *) P60__BIE)
/* Bit-mask for Aliased Register Access */
#define P60_BIT_MASK               (* (reg8 *) P60__BIT_MASK)
/* Bypass Enable */
#define P60_BYP                    (* (reg8 *) P60__BYP)
/* Port wide control signals */                                                   
#define P60_CTL                    (* (reg8 *) P60__CTL)
/* Drive Modes */
#define P60_DM0                    (* (reg8 *) P60__DM0) 
#define P60_DM1                    (* (reg8 *) P60__DM1)
#define P60_DM2                    (* (reg8 *) P60__DM2) 
/* Input Buffer Disable Override */
#define P60_INP_DIS                (* (reg8 *) P60__INP_DIS)
/* LCD Common or Segment Drive */
#define P60_LCD_COM_SEG            (* (reg8 *) P60__LCD_COM_SEG)
/* Enable Segment LCD */
#define P60_LCD_EN                 (* (reg8 *) P60__LCD_EN)
/* Slew Rate Control */
#define P60_SLW                    (* (reg8 *) P60__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P60_PRTDSI__CAPS_SEL       (* (reg8 *) P60__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P60_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P60__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P60_PRTDSI__OE_SEL0        (* (reg8 *) P60__PRTDSI__OE_SEL0) 
#define P60_PRTDSI__OE_SEL1        (* (reg8 *) P60__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P60_PRTDSI__OUT_SEL0       (* (reg8 *) P60__PRTDSI__OUT_SEL0) 
#define P60_PRTDSI__OUT_SEL1       (* (reg8 *) P60__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P60_PRTDSI__SYNC_OUT       (* (reg8 *) P60__PRTDSI__SYNC_OUT) 


#if defined(P60__INTSTAT)  /* Interrupt Registers */

    #define P60_INTSTAT                (* (reg8 *) P60__INTSTAT)
    #define P60_SNAP                   (* (reg8 *) P60__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P60_H */


/* [] END OF FILE */
