/*******************************************************************************
* File Name: P61.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P61_H) /* Pins P61_H */
#define CY_PINS_P61_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P61_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P61_Write(uint8 value) ;
void    P61_SetDriveMode(uint8 mode) ;
uint8   P61_ReadDataReg(void) ;
uint8   P61_Read(void) ;
uint8   P61_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P61_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P61_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P61_DM_RES_UP          PIN_DM_RES_UP
#define P61_DM_RES_DWN         PIN_DM_RES_DWN
#define P61_DM_OD_LO           PIN_DM_OD_LO
#define P61_DM_OD_HI           PIN_DM_OD_HI
#define P61_DM_STRONG          PIN_DM_STRONG
#define P61_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P61_MASK               P61__MASK
#define P61_SHIFT              P61__SHIFT
#define P61_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P61_PS                     (* (reg8 *) P61__PS)
/* Data Register */
#define P61_DR                     (* (reg8 *) P61__DR)
/* Port Number */
#define P61_PRT_NUM                (* (reg8 *) P61__PRT) 
/* Connect to Analog Globals */                                                  
#define P61_AG                     (* (reg8 *) P61__AG)                       
/* Analog MUX bux enable */
#define P61_AMUX                   (* (reg8 *) P61__AMUX) 
/* Bidirectional Enable */                                                        
#define P61_BIE                    (* (reg8 *) P61__BIE)
/* Bit-mask for Aliased Register Access */
#define P61_BIT_MASK               (* (reg8 *) P61__BIT_MASK)
/* Bypass Enable */
#define P61_BYP                    (* (reg8 *) P61__BYP)
/* Port wide control signals */                                                   
#define P61_CTL                    (* (reg8 *) P61__CTL)
/* Drive Modes */
#define P61_DM0                    (* (reg8 *) P61__DM0) 
#define P61_DM1                    (* (reg8 *) P61__DM1)
#define P61_DM2                    (* (reg8 *) P61__DM2) 
/* Input Buffer Disable Override */
#define P61_INP_DIS                (* (reg8 *) P61__INP_DIS)
/* LCD Common or Segment Drive */
#define P61_LCD_COM_SEG            (* (reg8 *) P61__LCD_COM_SEG)
/* Enable Segment LCD */
#define P61_LCD_EN                 (* (reg8 *) P61__LCD_EN)
/* Slew Rate Control */
#define P61_SLW                    (* (reg8 *) P61__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P61_PRTDSI__CAPS_SEL       (* (reg8 *) P61__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P61_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P61__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P61_PRTDSI__OE_SEL0        (* (reg8 *) P61__PRTDSI__OE_SEL0) 
#define P61_PRTDSI__OE_SEL1        (* (reg8 *) P61__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P61_PRTDSI__OUT_SEL0       (* (reg8 *) P61__PRTDSI__OUT_SEL0) 
#define P61_PRTDSI__OUT_SEL1       (* (reg8 *) P61__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P61_PRTDSI__SYNC_OUT       (* (reg8 *) P61__PRTDSI__SYNC_OUT) 


#if defined(P61__INTSTAT)  /* Interrupt Registers */

    #define P61_INTSTAT                (* (reg8 *) P61__INTSTAT)
    #define P61_SNAP                   (* (reg8 *) P61__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P61_H */


/* [] END OF FILE */
