/*******************************************************************************
* File Name: P62.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P62_H) /* Pins P62_H */
#define CY_PINS_P62_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "P62_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P62_Write(uint8 value) ;
void    P62_SetDriveMode(uint8 mode) ;
uint8   P62_ReadDataReg(void) ;
uint8   P62_Read(void) ;
uint8   P62_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P62_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define P62_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define P62_DM_RES_UP          PIN_DM_RES_UP
#define P62_DM_RES_DWN         PIN_DM_RES_DWN
#define P62_DM_OD_LO           PIN_DM_OD_LO
#define P62_DM_OD_HI           PIN_DM_OD_HI
#define P62_DM_STRONG          PIN_DM_STRONG
#define P62_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define P62_MASK               P62__MASK
#define P62_SHIFT              P62__SHIFT
#define P62_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P62_PS                     (* (reg8 *) P62__PS)
/* Data Register */
#define P62_DR                     (* (reg8 *) P62__DR)
/* Port Number */
#define P62_PRT_NUM                (* (reg8 *) P62__PRT) 
/* Connect to Analog Globals */                                                  
#define P62_AG                     (* (reg8 *) P62__AG)                       
/* Analog MUX bux enable */
#define P62_AMUX                   (* (reg8 *) P62__AMUX) 
/* Bidirectional Enable */                                                        
#define P62_BIE                    (* (reg8 *) P62__BIE)
/* Bit-mask for Aliased Register Access */
#define P62_BIT_MASK               (* (reg8 *) P62__BIT_MASK)
/* Bypass Enable */
#define P62_BYP                    (* (reg8 *) P62__BYP)
/* Port wide control signals */                                                   
#define P62_CTL                    (* (reg8 *) P62__CTL)
/* Drive Modes */
#define P62_DM0                    (* (reg8 *) P62__DM0) 
#define P62_DM1                    (* (reg8 *) P62__DM1)
#define P62_DM2                    (* (reg8 *) P62__DM2) 
/* Input Buffer Disable Override */
#define P62_INP_DIS                (* (reg8 *) P62__INP_DIS)
/* LCD Common or Segment Drive */
#define P62_LCD_COM_SEG            (* (reg8 *) P62__LCD_COM_SEG)
/* Enable Segment LCD */
#define P62_LCD_EN                 (* (reg8 *) P62__LCD_EN)
/* Slew Rate Control */
#define P62_SLW                    (* (reg8 *) P62__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define P62_PRTDSI__CAPS_SEL       (* (reg8 *) P62__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define P62_PRTDSI__DBL_SYNC_IN    (* (reg8 *) P62__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define P62_PRTDSI__OE_SEL0        (* (reg8 *) P62__PRTDSI__OE_SEL0) 
#define P62_PRTDSI__OE_SEL1        (* (reg8 *) P62__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define P62_PRTDSI__OUT_SEL0       (* (reg8 *) P62__PRTDSI__OUT_SEL0) 
#define P62_PRTDSI__OUT_SEL1       (* (reg8 *) P62__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define P62_PRTDSI__SYNC_OUT       (* (reg8 *) P62__PRTDSI__SYNC_OUT) 


#if defined(P62__INTSTAT)  /* Interrupt Registers */

    #define P62_INTSTAT                (* (reg8 *) P62__INTSTAT)
    #define P62_SNAP                   (* (reg8 *) P62__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins P62_H */


/* [] END OF FILE */
